From: Loyalsoldier <10487845+Loyalsoldier@users.noreply.github.com>
Date: Mon, 22 Mar 2021 22:26:30 +0800
Subject: Feat: update lucas-clemente/quic-go to v0.20.0 (#816)

(cherry picked from commit f3a56ca090160376e060d906360da45b40883df3)
---
 app/dns/nameserver_quic.go        | 4 ++--
 transport/internet/quic/dialer.go | 6 +++---
 transport/internet/quic/hub.go    | 2 +-
 3 files changed, 6 insertions(+), 6 deletions(-)

diff --git a/app/dns/nameserver_quic.go b/app/dns/nameserver_quic.go
index 3001c23..049705e 100644
--- a/app/dns/nameserver_quic.go
+++ b/app/dns/nameserver_quic.go
@@ -27,7 +27,7 @@ import (
 // by selecting the ALPN token "dq" in the crypto handshake.
 const NextProtoDQ = "doq-i00"
 
-const handshakeTimeout = time.Second * 8
+const handshakeIdleTimeout = time.Second * 8
 
 // QUICNameServer implemented DNS over QUIC
 type QUICNameServer struct {
@@ -362,7 +362,7 @@ func (s *QUICNameServer) getSession() (quic.Session, error) {
 func (s *QUICNameServer) openSession() (quic.Session, error) {
 	tlsConfig := tls.Config{}
 	quicConfig := &quic.Config{
-		HandshakeTimeout: handshakeTimeout,
+		HandshakeIdleTimeout: handshakeIdleTimeout,
 	}
 
 	session, err := quic.DialAddrContext(context.Background(), s.destination.NetAddr(), tlsConfig.GetTLSConfig(tls.WithNextProto("http/1.1", http2.NextProtoTLS, NextProtoDQ)), quicConfig)
diff --git a/transport/internet/quic/dialer.go b/transport/internet/quic/dialer.go
index daec007..a44af58 100644
--- a/transport/internet/quic/dialer.go
+++ b/transport/internet/quic/dialer.go
@@ -149,9 +149,9 @@ func (s *clientSessions) openConnection(destAddr net.Addr, config *Config, tlsCo
 	}
 
 	quicConfig := &quic.Config{
-		ConnectionIDLength: 12,
-		HandshakeTimeout:   time.Second * 8,
-		MaxIdleTimeout:     time.Second * 30,
+		ConnectionIDLength:   12,
+		HandshakeIdleTimeout: time.Second * 8,
+		MaxIdleTimeout:       time.Second * 30,
 	}
 
 	conn, err := wrapSysConn(rawConn, config)
diff --git a/transport/internet/quic/hub.go b/transport/internet/quic/hub.go
index 9e49475..dda8ce7 100644
--- a/transport/internet/quic/hub.go
+++ b/transport/internet/quic/hub.go
@@ -105,7 +105,7 @@ func Listen(ctx context.Context, address net.Address, port net.Port, streamSetti
 
 	quicConfig := &quic.Config{
 		ConnectionIDLength:    12,
-		HandshakeTimeout:      time.Second * 8,
+		HandshakeIdleTimeout:  time.Second * 8,
 		MaxIdleTimeout:        time.Second * 45,
 		MaxIncomingStreams:    32,
 		MaxIncomingUniStreams: -1,
